groups:
- name: snowflake
  rules:

  - alert: Snowflake probetest failures
    expr: sum(snowflake_available_proxies{nat!="unknown"})/sum(snowflake_available_proxies{nat="unknown"}) < 2
    for: 5m
    labels:
      severity: critical
      team: anti-censorship
    annotations:
      title: Snowflake probetest failures
      description: There are only {{ $value | printf "%.1f" }} times proxies with known NAT type than with unknown
      summary: There is a problem testing the type of NAT of our proxies
      playbook: "TODO"

  # XXX: this alert is being disabled for the time being until we improve the situation for restricted clients
  # - alert: Snowflake clients denied
  #   expr: sum(increase(snowflake_rounded_client_poll_total{status="denied"}[10m]))/sum(increase(snowflake_rounded_client_poll_total{status="matched"}[10m])) > 3
  #   for: 20m
  #   labels:
  #     severity: error
  #     team: anti-censorship
  #   annotations:
  #     title: Snowflake clients can't connect 
  #     description: For each connected client {{ $value | printf "%.1f" }} couldn't find a proxy to connect
  #     summary: There are too many clients not finding a proxy to connect 
  #     host: "{{$labels.instance}}"
  #     playbook: "TODO"
